Name:		quassel
Version:	0.9.2
%define subrel	1
Release:	%mkrel 1
Summary:	A modern cross-platform distributed (monolithic) IRC client
Source0:	http://quassel-irc.org/pub/quassel-%{version}.tar.bz2
Source1:	networks.ini
Patch0:		quassel-0.11.0-CVE-2014-8483.patch
Group:		Networking/IRC
License:	GPLv3
URL:		http://quassel-irc.org/
# Needed to build translations
BuildRequires:	qt4-linguist >= 4:4.6.0
BuildRequires:	kdelibs4-devel
Requires:	quassel-common = %{version}
Provides:	kde4-irc-client

%description
Quassel IRC is a modern, cross-platform, distributed IRC client,
meaning that one (or multiple) client(s) can attach to and detach
from a central core -- much like the popular combination of screen
and a text-based IRC client such as WeeChat, but graphical. In
addition to this uniqe feature, we aim to bring a pleasurable,
comfortable chatting experience to all major platforms (including
Linux®, Windows®, and MacOS X® as well as Qtopia-based cell phones
and PDAs), making communication with your peers not only convenient,
but also ubiquitous available.

%files
%{_bindir}/quassel
%{_kde_applicationsdir}/quassel.desktop

#-----------------------------------------------------------------------

%package common
Group: Networking/IRC
Summary: A modern cross-platform distributed IRC client - Common files
BuildArch: noarch
Requires: qt4-database-plugin-sqlite
Conflicts: quassel < 0.3.1.20090128-4

%description common
A modern, cross-platform, distributed IRC client
- This is client only, depends on a core server.

%files common
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/pixmaps/%{name}.png
%{_kde_appsdir}/quassel
%doc AUTHORS ChangeLog README

#-----------------------------------------------------------------------

%package client
Group: Networking/IRC
Summary: A modern cross-platform distributed IRC client - Client only
Requires: quassel-common = %{version}
%description client
A modern cross-platform distributed IRC client - Client only

%files client
%{_bindir}/quasselclient
%{_kde_applicationsdir}/quasselclient.desktop

#-----------------------------------------------------------------------

%package core
Group: Networking/IRC
Summary: A modern cross-platform distributed IRC client - Core server
Requires: quassel-common = %{version}

%description core
A modern, cross-platform, distributed IRC client - This is quassel
core server for clients.

%files core
%{_bindir}/quasselcore

#-----------------------------------------------------------------------

%prep
%setup -q 
%patch0 -p1 -b .CVE-2014-8483

%build
%cmake_kde4 \
    -DWANT_MONO=ON \
    -DWITH_KDE=ON \
    -DEMBED_DATA=OFF
%make

%install
rm -rf %{buildroot}
%makeinstall_std -C build

# Our own defined networks
rm -f %{buildroot}/%{_datadir}/apps/quassel/networks.ini
install -m 644 %{SOURCE1} %{buildroot}/%{_datadir}/apps/quassel/


%changelog
* Mon Oct 27 2014 luigiwalser <luigiwalser> 0.9.2-1.1.mga3
+ Revision: 793809
- add upstream patch to fix CVE-2014-8483
- 0.9.2
- 0.9.1 (fixes CVE-2013-4422)

* Sun Jan 13 2013 umeabot <umeabot> 0.8.0-2.mga3
+ Revision: 380105
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jun 11 2012 luigiwalser <luigiwalser> 0.8.0-1.mga3
+ Revision: 259609
- 0.8.0
- spec cosmetics (from mdv)

* Wed Apr 25 2012 mikala <mikala> 0.7.4-1.mga2
+ Revision: 233248
- Update tarball to 0.7.4

* Wed Sep 14 2011 mikala <mikala> 0.7.3-1.mga2
+ Revision: 143119
- Update tarball to 0.7.3 ( also fix CVE-2011-3354)
 - make common package noarch
 - client really need to requires common
 - remove %%defattr()
 - remove %%clean section
- Use Suggests for quassel-common for quassel-client
- Remove the requires on quassel-common for quassel-client.

* Mon May 02 2011 ahmad <ahmad> 0.7.2-1.mga1
+ Revision: 94189
- Update to 0.7.2

* Tue Mar 15 2011 mikala <mikala> 0.7.1-3.mga1
+ Revision: 71544
- Enable ssl by default on freenode (& add a non ssl server just in case)

* Thu Jan 20 2011 ahmad <ahmad> 0.7.1-2.mga1
+ Revision: 26613
- adapt networks.ini to Mageia
- imported package quassel


* Sun Oct 03 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.7.1-1mdv2011.0
+ Revision: 582638
- update to 0.7.1

* Sat Sep 18 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.7.0-1mdv2011.0
+ Revision: 579438
- update to 0.7.0

* Tue Aug 17 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.7-0.beta1.1mdv2011.0
+ Revision: 571089
- update to 0.7-beta1
- bump qt4-linguist BR to 4.6.0, quassel client now depends on qt4 >= 4.6.0

* Wed Apr 21 2010 Funda Wang <fwang@mandriva.org> 0.6.1-1mdv2010.1
+ Revision: 537634
- new version 0.6.1

* Thu Mar 04 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.6-0.rc1.1mdv2010.1
+ Revision: 514054
- new upstream release 0.6 rc1

* Tue Mar 02 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.6-0.beta1.1mdv2010.1
+ Revision: 513672
- really update
- update to 0.6beta1
- fix file list

* Sun Jan 31 2010 Funda Wang <fwang@mandriva.org> 0.5.2-1mdv2010.1
+ Revision: 498812
- New version 0.5.2

* Sun Nov 22 2009 Ahmad Samir <ahmadsamir@mandriva.org> 0.5.1-1mdv2010.1
+ Revision: 468659
- Clean spec file
- Update to new version 0.5.1

* Fri Oct 16 2009 Ahmad Samir <ahmadsamir@mandriva.org> 0.5.0-1mdv2010.0
+ Revision: 457899
- 0.5.0 final

* Tue Sep 29 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.5-0.rc1.3mdv2010.0
+ Revision: 451048
- Remove old source
  Use #mandriva channel as default

* Tue Sep 29 2009 Helio Chissini de Castro <helio@mandriva.com> 0.5-0.rc1.2mdv2010.0
+ Revision: 451001
- Provides kde4-irc-client

* Mon Sep 07 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.5-0.rc1.1mdv2010.0
+ Revision: 432855
- fix version
- Update to 0.5.0Rc1

* Wed Aug 26 2009 Frederik Himpe <fhimpe@mandriva.org> 0.4.3-1mdv2010.0
+ Revision: 421587
- update to new version 0.4.3

* Sun May 31 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.4.2-2mdv2010.0
+ Revision: 381738
- Rebuild against new kde4

* Thu May 28 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.4.2-1mdv2010.0
+ Revision: 380634
- Update to 0.4.2

* Sun May 24 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.4.1-3mdv2010.0
+ Revision: 379176
- Use #mandriva-cooker for cooker

* Sun May 24 2009 Funda Wang <fwang@mandriva.org> 0.4.1-2mdv2010.0
+ Revision: 379162
- fix default channel (bug#51158)

* Tue Apr 14 2009 Helio Chissini de Castro <helio@mandriva.com> 0.4.1-1mdv2009.1
+ Revision: 367244
- Update for upstream bugfix release

* Fri Feb 20 2009 Helio Chissini de Castro <helio@mandriva.com> 0.4.0-1mdv2009.1
+ Revision: 343319
- New upstream version

* Thu Feb 12 2009 Helio Chissini de Castro <helio@mandriva.com> 0.3.1.20090212-1mdv2009.1
+ Revision: 339758
- Update with daily git

* Fri Jan 30 2009 Funda Wang <fwang@mandriva.org> 0.3.1.20090128-5mdv2009.1
+ Revision: 335540
- rebuild

* Thu Jan 29 2009 Helio Chissini de Castro <helio@mandriva.com> 0.3.1.20090128-4mdv2009.1
+ Revision: 335290
- Add our default channels
- Separate common components
- Separate monolithic and client/core packages, to avoid confuse users in which one should use
- Added missing requires for sqlite qt4 plugin

* Wed Jan 28 2009 Helio Chissini de Castro <helio@mandriva.com> 0.3.1.20090128-2mdv2009.1
+ Revision: 334926
- Updating with current quassel git HEAD. Quassel is now the official candidate for kde4 / qt client.

* Sun Jan 18 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.3.1-2mdv2009.1
+ Revision: 331053
- Fix string format error

* Fri Jan 09 2009 Buchan Milne <bgmilne@mandriva.org> 0.3.1-1mdv2009.1
+ Revision: 327394
- New version 0.3.1

* Tue Sep 30 2008 Buchan Milne <bgmilne@mandriva.org> 0.3.0.1-1mdv2009.0
+ Revision: 290173
- import quassel


